/* $Id: PrefDlg.h,v 1.2 2007/01/14 22:34:37 olle Exp $
 *
 * Copyright (c) 2007, olle@toolcrypt.org
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 *    * Redistributions of source code must retain the above copyright notice,
 *      this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright notice,
 *      this list of conditions and the following disclaimer in the documentation
 *      and/or other materials provided with the distribution.
 *    * Neither the name of the <ORGANIZATION> nor the names of its contributors may
 *      be used to endorse or promote products derived from this software without 
 *      specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */


#pragma once

#include "afxwin.h"
#include "resource.h"


// CPrefDlg dialog
class CPrefDlg : public CDialog
{
// Construction
public:
	CPrefDlg();	// standard constructor

// Dialog Data
	enum { IDD = IDD_SETTINGS_DIALOG };

// Implementation
protected:

	// DDX/DDV support
	virtual void DoDataExchange(CDataExchange* pDX);

	// message map functions
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComPort();
	afx_msg void OnSelchangeReceiverType();
	DECLARE_MESSAGE_MAP()

	// controls
	CButton c_Mute;
	CButton c_FollowCalls;
	CButton c_ScanOnClear;
	CComboBox c_ComPort;	
	CButton c_AutoAddIds;
	CEdit c_MemoryLocation;
	CButton c_ControlBacklight;
	CComboBox c_ReceiverType;
	CComboBox c_SampleRate;
	CButton c_ReturnToCC;

public:
	afx_msg void OnCbnSelchangeSamplerate();
};

